package mvd.jester;

import java.util.Arrays;
import java.util.List;
import mvd.jester.model.DagTask;
import mvd.jester.model.SystemManager;
import mvd.jester.model.SystemManager.DagTaskBuilder;
import mvd.jester.tests.AbstractTest;
import mvd.jester.tests.FonsecaNelis;
import mvd.jester.tests.MelaniButtazzo;
import mvd.jester.tests.SchmidMottok;


/**
 * Hello world!
 *
 */
public class App {
    public static void main(String[] args) {
        {
            SystemManager manager = new SystemManager(8);
            DagTaskBuilder builder = new DagTaskBuilder();
            TestEnvironment te = new TestEnvironment();

            List<AbstractTest<DagTask>> tests =
                    te.registerTests(Arrays.asList(new SchmidMottok(manager),
                            new MelaniButtazzo(manager), new FonsecaNelis(manager)));

            te.varyUtilization(builder, tests, 8, 500);
        }
        {
            SystemManager manager = new SystemManager(8);
            DagTaskBuilder builder = new DagTaskBuilder();
            TestEnvironment te = new TestEnvironment();

            List<AbstractTest<DagTask>> tests =
                    te.registerTests(Arrays.asList(new SchmidMottok(manager),
                            new MelaniButtazzo(manager), new FonsecaNelis(manager)));

            te.varyNumberOfProcessors(builder, tests, manager, 500);
        }
        {
            SystemManager manager = new SystemManager(8);
            DagTaskBuilder builder = new DagTaskBuilder();
            TestEnvironment te = new TestEnvironment();

            List<AbstractTest<DagTask>> tests =
                    te.registerTests(Arrays.asList(new SchmidMottok(manager),
                            new MelaniButtazzo(manager), new FonsecaNelis(manager)));

            te.varyNumberOfTasks(builder, tests, 8, 500);
        }
    }
}
